Foreman - Bug #12517

VMWare VM should be created network based if it is selected in the gui
11/18/2015 07:33 AM - Timo Goebel

Status: Closed
Priority: Normal
Assignee: Timo Goebel
Category: Compute resources - VMware
Target version: 1.10.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2921
Description

When creating a host network based foreman creates the host image based because the image_id is always set.
in app/models/compute_resources/foreman/model/vmware.rb create_vm
if args[:image_id].present?

should be
if args[:provision_method] == 'image’

Related issues:

Related to Foreman - Bug #10237: Host.new and API disregard provision_method Duplicate 04/22/2015
Related to Foreman - Bug #13986: Provisioning via API without explicitly spec... Closed 03/01/2016
Has duplicate Foreman - Bug #13141: Cloning host discards provisioning method Duplicate 01/12/2016

Associated revisions

Revision 2328beb5 - 11/30/2015 10:01 AM - Timo Goebel
fixes #12517 - VMWare VM should be created network based only if it is selected in the gui

Revision 9dd66bf7 - 01/19/2016 08:16 AM - Timo Goebel
fixes #12517 - VMWare VM should be created network based only if it is selected in the gui

(cherry picked from commit 2328beb569d3f0e51043202d3a00a3b30879d244)

History

#1 - 11/18/2015 07:47 AM - Dominic Cleal

| think the image_id in the New Host form is disabled for a network build so shouldn't be sent in the form parameters. This might happen if the
image_id is stored on a compute profile as it'll get copied in regardless. #10237 reports this too from inside a plugin or the API.

#2 - 11/18/2015 07:48 AM - Dominic Cleal
- Related to Bug #10237: Host.new and API disregard provision_method added

#3 - 11/18/2015 08:01 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2921 added

#4 - 11/30/2015 09:57 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#5 - 11/30/2015 11:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset 2328beb569d3f0e51043202d3a00a3b30879d244.

#6 - 01/12/2016 11:04 AM - Dominic Cleal
- Has duplicate Bug #13141: Cloning host discards provisioning method added

#7 - 03/02/2016 03:05 AM - Dominic Cleal

- Related to Bug #13986: Provisioning via API without explicitly specifying the provisioning method can lead to using combination of image and build
provisioning methods added
